Documents

Get Hris Org Document Url

Mints a 15-minute signed view or download URL for one org or employee document, enforcing visibility rules.

GEThttps://api.toku.com/hris/get-hris-org-document-url

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-hris-org-document-url?id=%3Cid%3E&source=ORG&disposition=VIEW' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "url": "string",
  "fileName": "string",
  "mimeType": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

idstring<uuid>required
sourcestringrequired

Available options: ORG, HRIS

dispositionstringrequired

Available options: VIEW, DOWNLOAD

Response

200Successful response
urlstringrequired
fileNamestringrequired
mimeTypestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits